Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.client
Class RedirectListener

    java.lang.Object
      org.eclipse.jetty.client.HttpEventListenerWrapper
          org.eclipse.jetty.client.RedirectListener

All Implemented Interfaces:
  HttpEventListener

    public class RedirectListener

extends HttpEventListenerWrapper

RedirectListener Detect and handle the redirect responses

Constructor Summary
`RedirectListener(HttpDestination destination, HttpExchange ex)`

Method Summary
`boolean` | `checkExchangeComplete()`
`void` | `onRequestComplete()`
`void` | `onResponseComplete()`
`void` | `onResponseHeader(Buffer name, Buffer value)`
`void` | `onResponseStatus(Buffer version, int status, Buffer reason)`
`void` | `onRetry()`

Methods inherited from class org.eclipse.jetty.client.HttpEventListenerWrapper
`getEventListener, isDelegatingRequests, isDelegatingResponses, onConnectionFailed, onException, onExpire, onRequestCommitted, onResponseContent, onResponseHeaderComplete, setDelegatingRequests, setDelegatingResponses, setDelegationResult, setEventListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedirectListener

    public RedirectListener(HttpDestination destination,
                            HttpExchange ex)

Method Detail

### onResponseStatus

    public void onResponseStatus(Buffer version,
                                 int status,
                                 Buffer reason)
                          throws java.io.IOException

  Specified by:
    `onResponseStatus` in interface `HttpEventListener`
  Overrides:
    `onResponseStatus` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onResponseHeader

    public void onResponseHeader(Buffer name,
                                 Buffer value)
                          throws java.io.IOException

  Specified by:
    `onResponseHeader` in interface `HttpEventListener`
  Overrides:
    `onResponseHeader` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onRequestComplete

    public void onRequestComplete()
                           throws java.io.IOException

  Specified by:
    `onRequestComplete` in interface `HttpEventListener`
  Overrides:
    `onRequestComplete` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onResponseComplete

    public void onResponseComplete()
                            throws java.io.IOException

  Specified by:
    `onResponseComplete` in interface `HttpEventListener`
  Overrides:
    `onResponseComplete` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### checkExchangeComplete

    public boolean checkExchangeComplete()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### onRetry

    public void onRetry()

  Specified by:
    `onRetry` in interface `HttpEventListener`
  Overrides:
    `onRetry` in class `HttpEventListenerWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.